#include <stdio.h>
#include <unistd.h>
#include <omp.h>

int main ()
{
  int shared_var;
  printf ("shared:%p\n", &shared_var);
  int *ptr = NULL;
  #pragma omp parallel
  {
    int private_var;
    if (omp_get_thread_num () == 0) {
      sleep (1);
      ptr = &private_var;
    }
    else {
      while (ptr == NULL);
    }
    printf ("%2d:   shared:%p private:%p\n",
            omp_get_thread_num (), &shared_var, &private_var);
    printf ("%2d:   0-private:%p\n", omp_get_thread_num(), ptr);
  }
  return 0;
}
