#include <stdio.h>
#include <omp.h>

long fib (int n) { return (n < 2 ? 1 : fib (n - 1) + fib (n - 2)); }

int main () {
  double ts = omp_get_wtime ();
  int n = 0;
  #pragma omp parallel
    {
      //printf ("%p\n", &ts);
      double ts = omp_get_wtime ();
      //printf ("%p\n", &ts);
      int t = omp_get_thread_num ();
      printf ("%d: %ld\n", t, fib (n + t));
      ts = omp_get_wtime () - ts;
      printf ("%d: ts=%lf\n", t, ts);
    }
  ts = omp_get_wtime () - ts;
  printf ("ts=%lf\n", ts);
  return 0;
}
